activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Tully <gary.tu...@gmail.com>
Subject Re: ActiveMQ has too many dependencies?
Date Mon, 27 Aug 2012 19:40:15 GMT
that is fixed on trunk with https://issues.apache.org/jira/browse/AMQ-3890

On 27 August 2012 20:19, S├ębastien Lorber <lorber.sebastien@gmail.com> wrote:
> Yes i know and i have excluded the problematic fusemq-leveldb
>
> But wouldn't it be better to put this dependency as optional so that users
> wouldn't have to do themselves the exclusion?
>
> Because retrieving hadoop, scala... that's pretty "heavy" for just the
> leveldb feature, and will cause conflicts for jetty users because of hadoop
> core dependencies. It took me some time to figure out i was having 2
> different versions of the same Jetty lib in my classpath...
>
>
>
>
> 2012/8/27 Greg Thomas <greg.d.thomas@gmail.com>
>
>> On 27 August 2012 15:53, S├ębastien Lorber <lorber.sebastien@gmail.com>
>> wrote:
>> ...
>> > And it will produce conflicts by default to many jetty users like me i
>> > guess.
>>
>> This has come up before; I think
>>
>> http://mail-archives.apache.org/mod_mbox/activemq-users/201206.mbox/%3CCA+GjePWRZn-ZgY0=Eg3Bjmi8zXQhnYYa36us7FMK684Eh_CSDg@mail.gmail.com%3E
>> gives a list of exclusions you can apply.
>>
>> Greg
>>



-- 
http://fusesource.com
http://blog.garytully.com

Mime
View raw message